restaurant/urls.py
from django.urls import path
from .views import page_not_found, forbidden

from .views import (
    IndexView,
    DishTypeListView,
    DishTypeDetailView,
    DishTypeCreateView,
    DishTypeUpdateView,
    DishTypeDeleteView,
    DishListView,
    DishDetailView,
    DishCreateView,
    DishUpdateView,
    DishDeleteView,
    CookListView,
    CookDetailView,
    CookCreateView,
    CookDeleteView,
)


urlpatterns = [
    path(
        "", IndexView.as_view(), name="index"
    ),
    path(
        "dish_types/", DishTypeListView.as_view(), name="dish-type-list"
    ),
    path(
        "dish_types/<int:pk>/",
        DishTypeDetailView.as_view(),
        name="dish-type-detail"
    ),
    path(
        "dish_types/create",
        DishTypeCreateView.as_view(),
        name="dish-type-create"
    ),
    path(
        "dish_types/<int:pk>/update/",
        DishTypeUpdateView.as_view(),
        name="dish-type-update"
    ),
    path(
        "dish_types/<int:pk>/delete/",
        DishTypeDeleteView.as_view(),
        name="dish-type-delete"
    ),
    path(
        "dishes/", DishListView.as_view(), name="dish-list"
    ),
    path(
        "dishes/<int:pk>/", DishDetailView.as_view(), name="dish-detail"
    ),
    path(
        "dishes/create/", DishCreateView.as_view(), name="dish-create"
    ),
    path(
        "dishes/<int:pk>/update/", DishUpdateView.as_view(), name="dish-update"
    ),
    path(
        "dishes/<int:pk>/delete/", DishDeleteView.as_view(), name="dish-delete"
    ),
    path(
        "cooks/", CookListView.as_view(), name="cook-list"
    ),
    path(
        "cooks/<int:pk>/", CookDetailView.as_view(), name="cook-detail"
    ),
    path(
        "cooks/create/", CookCreateView.as_view(), name="cook-create"
    ),
    path(
        "cooks/<int:pk>/delete/", CookDeleteView.as_view(), name="cook-delete"
    ),
    path(
        "404/", page_not_found, name="404"
    ),
    path(
        "403/", forbidden, name="403"
    ),
]

app_name = "restaurant"

restaurant_service/urls.py
from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path("admin/", admin.site.urls),
    path("", include("restaurant.urls", namespace="restaurant")),
    path("accounts/", include("django.contrib.auth.urls")),
    path("__debug__/", include("debug_toolbar.urls")),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

handler404 = "restaurant.views.page_not_found"
handler403 = "restaurant.views.forbidden"

templates/includes/header.html
{% load static %}
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a href="{% url 'restaurant:index' %}">
    <img src="{% static 'images/logo.jpg' %}" alt="My Restaurant Logo">
  </a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarText">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="{% url 'restaurant:index' %}"><span class="nav-name">Home</span> <span class="sr-only">(current)</span></a>
      </li>
      <li>
        <span class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-expanded="false">
            <span class="nav-name">Main menu</span>
          </a>
          <span class="dropdown-menu">
            <a class="dropdown-item" href="{% url 'restaurant:cook-list' %}">Cooks</a>
            <a class="dropdown-item" href="{% url 'restaurant:dish-list' %}">Dishes</a>
            <a class="dropdown-item" href="{% url 'restaurant:dish-type-list' %}">Dish types</a>
          </span>
        </span>
      </li>
    </ul>

    {% if user.is_authenticated %}
      <span class="nav-item dropdown profile-padding">
        <a class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-expanded="false">
          <span class="nav-name">{{ user.username }}</span>
        </a>
        <span class="dropdown-menu">
          <a class="dropdown-item" href="{% url 'restaurant:cook-detail' pk=user.id %}">My profile</a>
          <a class="dropdown-item" href="{% url 'logout' %}">Logout</a>
        </span>
      </span>
    {% else %}
      <span class="nav-item dropdown profile-padding">
        <a class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-expanded="false">
          <span class="nav-name">Login</span>
        </a>
        <span class="dropdown-menu">
          <a class="dropdown-item" href="{% url 'login' %}">Login</a>
        </span>
      </span>
    {% endif %}
  </div>
</nav>

templates/includes/pagination.html
{% load query_transform %}
{% if is_paginated %}
  <ul class="pagination justify-content-center">
    {% if page_obj.has_previous %}
      <li class="page-item">
        <a href="?{% query_transform request page=page_obj.previous_page_number %}" class="page-link">prev</a>
      </li>
    {% endif %}
    <li class="page-item active">
      <span class="page-link">{{ page_obj.number }} of {{ paginator.num_pages }}</span>
    </li>
    {% if page_obj.has_next %}
      <li class="page-item">
        <a href="?{% query_transform request page=page_obj.next_page_number %}" class="page-link">next</a>
      </li>
    {% endif %}
  </ul>
{% endif %}

templates/includes/search.html
{% load crispy_forms_filters %}

<form method="get" class="form-inline">
  {{ search_form|crispy }}
  <input type="submit" value="Search" class="btn btn-primary">
</form>

templates/includes/sidebar.html
{% load crispy_forms_filters %}
{% block filter %}
  <form method="get">
    <div class="select2-dropdown">
      <button class="btn btn-secondary dropdown-toggle" type="button" id="filterDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        Filter Options
      </button>
      <div class="dropdown-menu background-box" aria-labelledby="filterDropdown">
        <form method="get" class="dropdown-item">
          <div class="ml-3">
            {{ dish_type_filter_form|crispy }}
          </div>
          <button type="submit" class="btn btn-primary ml-3">Apply Filter</button>
        </form>
      </div>
    </div>
  </form>
{% endblock %}